> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Return DB details for a single user.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/users/{user_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/users/{user_id}:
    get:
      tags:
        - admin-users
      summary: Get User
      description: Return DB details for a single user.
      operationId: get_user_api_admin_users__user_id__get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_UserDetailResponse_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_UserDetailResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/UserDetailResponse'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[UserDetailResponse]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    UserDetailResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        emailVerified:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Emailverified
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        role:
          type: string
          title: Role
        isBanned:
          type: boolean
          title: Isbanned
          default: false
        hasBetaAccess:
          type: boolean
          title: Hasbetaaccess
          default: false
        skipPrepay:
          type: boolean
          title: Skipprepay
          default: false
        blacklist:
          items:
            type: string
          type: array
          title: Blacklist
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - role
        - createdAt
      title: UserDetailResponse
      description: DB details for a single user.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````